<?= $element->renderSubmenu('/4-lekce-html'); ?>

<h1 class="mainTitle"><?= $template->title; ?></h1>

<p>PHP je <b>programovací jazyk</b>. Sám o sobě nemá žádnou strukturu a sémantiku. To už jste si vyzkoušeli - používáme pouze příkaz <b>echo</b>.</p>

<p>Abychom našemu obsahu dali nějakou <b>základní strukturu</b> (nadpisy, odstavce, seznamy, odkazy, ...), musíme použít <b>HTML</b>, což je <b>značkovací jazyk</b>.</p>

<h2 class="text-xl">Základy</h2>

<p>Jak si vytvořit svoji první HTML stránku se naučíte v této <a href="<?= $wwwDir; ?>/files/html.pdf">prezentaci</a>.</p>

<h2 class="text-xl">HTML formuláře</h2>

<p>Jedna z možností jak komunikovat jako návštěvník s PHP, je pomocí <a href="<?= $wwwDir; ?>/files/html-formulare.pdf">formulářů</a>.</p>

<p>
	Napsání jednoduchého formuláře není nijak složité. Co ale v prezentaci nenajdete je práce s <b>checkboxy</b> (výběr několika možností) a <b>radiobuttony</b> (výběr jedné možnosti). U nich je popisek (<b class="text-pink-dark">label</b>) nejdůležitější, protože nám popisuje co daný prvek znamená.
	Hodnota, která je v atributu <b>value</b>, se totiž v HTML stránce neukazuje. Ta se pouze přenáší do PHP.
</p>

<p>
	Když tedy použijeme <b>label</b>, použijte i atribut <b class="text-pink-dark">for</b>. Do něj vložte jedinečnou hodnotu v rámci celé HTML stránky.
	Stejnou hodnotu poté vložte do atributu <b class="text-pink-dark">id</b> v tagu input. Díky tomu dojde k propojení těchto prvků, a pokud kliknete na <b>popisek</b>, input se označí/odznačí.
</p>

<p class="font-bold">Kód:</p>
<pre class="php">
<span class="php__syntax">&lt;input</span> <span class="php__obj">type</span>=<span class="php__str">"checkbox"</span> <span class="php__obj">name</span>=<span class="php__str">"newsletter"</span> <span class="php__obj">id</span>=<span class="php__str">"ch1"</span> <span class="php__obj">value</span>=<span class="php__str">"1"</span><span class="php__syntax">></span>
<span class="php__syntax">&lt;label</span> <span class="php__obj">for</span>=<span class="php__str">"ch1"</span>>Chci odebírat newslettery<span class="php__syntax">&lt;/label></span>
</pre>

<p class="font-bold">Živá ukázka:</p>
<pre class="php">
<input type="checkbox" name="newsletter" id="ch1" value="1"> <label for="ch1">Chci odebírat newslettery</label>
</pre>

<p>
	Pokud chceme mít výběr pouze z jedné možnosti (radiobutton), je důležité aby každý prvek z této "skupiny" měl stejný atribut <b class="text-red-dark">name</b>.
</p>

<p class="font-bold">Kód:</p>
<pre class="php">
<span class="php__syntax">&lt;p></span>Chci odeírat newlettery:<span class="php__syntax">&lt;br></span>
    <span class="php__syntax">&lt;input</span> <span class="php__obj">type</span>=<span class="php__str">"radio"</span> <span class="php__obj">name</span>=<span class="php__str">"newsletter"</span> <span class="php__obj">id</span>=<span class="php__str">"newsletterAno"</span> <span class="php__obj">value</span>=<span class="php__str">"1"</span><span class="php__syntax">></span>
    <span class="php__syntax">&lt;label</span> <span class="php__obj">for</span>=<span class="php__str">"newsletterAno"</span>>Ano<span class="php__syntax">&lt;/label></span>
    <span class="php__syntax">&lt;input</span> <span class="php__obj">type</span>=<span class="php__str">"radio"</span> <span class="php__obj">name</span>=<span class="php__str">"newsletter"</span> <span class="php__obj">id</span>=<span class="php__str">"newsletterNe"</span><span class="php__syntax"> <span class="php__obj">value</span>=<span class="php__str">"0"</span>></span>
    <span class="php__syntax">&lt;label</span> <span class="php__obj">for</span>=<span class="php__str">"newsletterNe"</span>>Ne<span class="php__syntax">&lt;/label></span>
<span class="php__syntax">&lt;/p></span>
</pre>

<p class="font-bold">Živá ukázka:</p>
<pre class="php">
Chci odeírat newlettery:<br>
 <input type="radio" name="newsletter" id="newsletterAno" value="1"> <label for="newsletterAno">Ano</label>    <input type="radio" name="newsletter" id="newsletterNe" value="0"> <label for="newsletterNe">Ne</label>
</pre>

<h2 class="mainTitle">Pole z checkboxů</h2>

<p>Pokud bychom chtěli pomocí formulářového prvku input typu checkbox odeslat více hodnot, potřebujeme je nějak odeslat. To uděláme tak, že z těchto checkboxů uděláme pole - u atributu name uvedeme []. V PHP potom nebudeme mít jenom jednu hodnotu, ale budeme mít pole hodnot.</p>

<pre class="php">
&lt;p&gt;Znám tyto technologie.&lt;/p&gt;

<span class="php__syntax">&lt;input</span> <span class="php__obj">type</span>=<span class="php__str">"checkbox"</span> <span class="php__obj">name</span>=<span class="php__str">"technologie[]"</span> <span class="php__obj">id</span>=<span class="php__str">"ch1"</span> <span class="php__obj">value</span>=<span class="php__str">"HTML"</span><span class="php__syntax">></span>
<span class="php__syntax">&lt;label</span> <span class="php__obj">for</span>=<span class="php__str">"ch1"</span>>HTML<span class="php__syntax">&lt;/label></span>

<span class="php__syntax">&lt;input</span> <span class="php__obj">type</span>=<span class="php__str">"checkbox"</span> <span class="php__obj">name</span>=<span class="php__str">"technologie[]"</span> <span class="php__obj">id</span>=<span class="php__str">"ch2"</span> <span class="php__obj">value</span>=<span class="php__str">"CSS"</span><span class="php__syntax">></span>
<span class="php__syntax">&lt;label</span> <span class="php__obj">for</span>=<span class="php__str">"ch2"</span>>CSS<span class="php__syntax">&lt;/label></span>

<span class="php__syntax">&lt;input</span> <span class="php__obj">type</span>=<span class="php__str">"checkbox"</span> <span class="php__obj">name</span>=<span class="php__str">"technologie[]"</span> <span class="php__obj">id</span>=<span class="php__str">"ch3"</span> <span class="php__obj">value</span>=<span class="php__str">"PHP"</span><span class="php__syntax">></span>
<span class="php__syntax">&lt;label</span> <span class="php__obj">for</span>=<span class="php__str">"ch3"</span>>PHP<span class="php__syntax">&lt;/label></span>

<span class="php__syntax">&lt;input</span> <span class="php__obj">type</span>=<span class="php__str">"checkbox"</span> <span class="php__obj">name</span>=<span class="php__str">"technologie[]"</span> <span class="php__obj">id</span>=<span class="php__str">"ch4"</span> <span class="php__obj">value</span>=<span class="php__str">"JS"</span><span class="php__syntax">></span>
<span class="php__syntax">&lt;label</span> <span class="php__obj">for</span>=<span class="php__str">"ch4"</span>>JS<span class="php__syntax">&lt;/label></span>

</pre>
